## juju-mongo-tools3.2 3.2.4+ds

=== debian/changelog ===
juju-mongo-tools3.2 (3.2.4+ds-0ubuntu1) xenial; urgency=medium

  [ Curtis C. Hovey ]
  * Initial release (LP #1558336).
  * d/p/syscall-dup2-to-dup3.patch arm64 removed legacy dup2 call.

  [ Michael Hudson-Doyle ]
  * Updated to upstream 3.2.4 release.
  * Repacked upstream tarball to remove unused minified js from
    vendor/src/github.com/smartystreets/goconvey/web/client/resources/js/lib.
  * Change packaging to use dh-golang more.
  * Tweak bundled vs installed packages to get some tests working.
  * Disable some tests that fail upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Apr 2016 14:25:03 +1200
