=== debian/control ===
Source: juju-mongo-tools3.2
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               dh-golang,
               golang-github-jacobsa-oglematchers-dev,
               golang-go (>= 2:1.5),
               golang-go-flags-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-mgo.v2-dev,
               golang-gopkg-tomb.v2-dev,
               libssl-dev,
               pkg-config
XS-Go-Import-Path: github.com/mongodb/mongo-tools
Standards-Version: 3.9.5
Homepage: http://www.mongodb.org

Package: juju-mongo-tools3.2
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to administer MongoDB.
 This package provides tools for administering MongoDB 3 for Juju.
 .
    * bsondump
    * mongodump
    * mongoexport
    * mongofiles
    * mongoimport
    * mongooplog
    * mongorestore
    * mongostat
    * mongotop
