=== debian/tests/control ===
Tests: binaries
Depends: juju-mongo-tools3.2
