=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|BETA|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
# mongo-tools uses even minor numbers to indicate
https://github.com/mongodb/mongo-tools/releases .*archive/r(\d\.\d*[02468]\..*)\.tar\.gz
